public class DsModException extends Exception {
	private static final long serialVersionUID = 882937011563187314L;
	private DsModErrorCodes error;
	private String detail;

	public DsModException(DsModErrorCodes error) {
		this.error = error;
	}
	
	public DsModException(DsModErrorCodes error, String detail) {
		this.error = error;
		this.detail = detail;
	}

	public int getErrorCode() {
		return error.getErrorCode();
	}
	
	public String getErrorMessage() {
		String retval = error.getErrorMessage();
		if (detail != null)
			retval += detail;
		return retval;
	}
}
